﻿.obsolete {
    text-decoration: none;
}
.obsolete:hover {
    text-decoration: none;
}
.verify {
    text-decoration: none;
}
.verify:hover {
        text-decoration: none;
    }
.obsolete-true {
    color: #ed4337;
    padding: 3px;
}

.obsolete-false {
    color: #43b500;
}
.verify-true {
    color: #ed4337;
    border: 2px solid #ed4337;
    padding: 3px;
    border-radius: 50rem;
}

.verify-false {
    color: #43b500;
}
.btn-no-padding {
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
}
.icon-bar {
    display: block;
    width: 22px;
    height: 2px;
    border-radius: 1px;
    background-color: #fff;
}
.navbar-toggle {
    position: relative;
    float: right;
    padding: 9px 10px;
    margin-top: 8px;
    margin-right: 15px;
    margin-bottom: 8px;
    background-color: #fff0;
    background-image: none;
    border: 1px solid #fff;
    border-radius: 4px;
}
.dropdown-icon-list {
    display: flex;
    justify-content: space-around;
    padding: 2px;
    display: flex;
    justify-content: space-around;
    padding: 2px;
    -webkit-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.1);
    -moz-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.1);
    box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.1);
}
.dropdown-list {
    margin-top: 0;
    margin-bottom: 10px;
    list-style: none;
    padding: 20px;
    padding: 5px 0 0 20px;
}
.dropdown-list-item {
    margin: 5px 0;
}
.page-size-selector {
    background: #fff;
    border: solid 2px #43b500;
    color: #337ab7;
    display: inline-block;
    padding: 6px 8px;
    margin-bottom: 0;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    border: none;
}

.search-list-pager {
    display: flex;
    justify-content: center;
    align-content: center;
}
.search-list-pager .a-pager {
    margin: auto;
}
.search-input {
    width: 100%;
    min-height: 40px;
    box-sizing: border-box;
    justify-content: space-between;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.42857143;
    color: #555;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 0px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
    -webkit-transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
}
/*    .search-input:focus {
        box-shadow: rgba(0, 0, 0, 0.075) 0px 1px 1px 0px inset, rgba(102, 175, 233, 0.6) 0px 0px 8px 0px;
        border-color: rgb(102, 175, 233);
    }*/

    .search-input .search {
        box-sizing: border-box;
        display: flex;
        align-items: center;
        padding: 1px;
        gap: 2px;
        flex-wrap: wrap;
        width: 100%;
    }
        .search-input .search .ready-query {
            box-sizing: border-box;
            display: flex;
            align-items: center;
            gap: 5px;
            flex-wrap: wrap;
            min-width: 1px;
        }
.sort {
    width: 30px;
    height: 40px;
    box-sizing: border-box;
    border-top: solid 3px #43b500;
    border-right: solid 3px #43b500;
    border-bottom: solid 3px #43b500;
    color: #337ab7;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 6px 12px;
    color: #555;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccc;
    border-left: none;
    border-radius: 0 0 0 0;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
    -webkit-transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
    margin-left: -1px;
}

.popover-container {
    position: relative;
    width: 90%;
}

.popover-content {
    display: block;
    background-color: #fff;
    padding: 10px 20px;
    border-top: 1px solid #ccc;
    z-index: 11;
    min-width: 150px;
    width: 100%;
    text-align: left;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1), 0 2px 4px rgba(0, 0, 0, 0.06);
    position: absolute;
    color: #23527c;
    max-height: 400px;
    overflow-y: auto;
}
.sort-content {
    display: block;
    background-color: #fff;
    padding: 10px 20px;
    z-index: 11;
    min-width: 150px;
    width: 200px;
    text-align: left;
    position: relative;
    right: 84.5px;
    top: 80px;
    border-top: 0;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1), 0 2px 4px rgba(0, 0, 0, 0.06);
    color: #23527c;
}

.sort-content li {
    list-style:none;
    padding: 0px;
}

.hidden {
    display: none;
}

.visible {
    display: block;
}

.blinking-cursor {
    width: 0.5px;
    height: 20px;
    animation: blink 1s step-end infinite;
    font-size: 1.2em;
    line-height: 1;
}

@keyframes blink {
    from, to {
        opacity: 1;
    }

    50% {
        opacity: 0;
    }
}
.opt {
    list-style:none;
}
.optud {
    list-style: none;
}
.spinner {
    border: 4px solid rgba(0, 0, 0, 0.3);
    border-left-color: #43b500;
    border-radius: 50%;
    width: 35px;
    height: 35px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

#searh-filters {
    width: 300px;
    margin: 0px;
    padding:0px;
}
#sort-filters {
    width: 100%;
    margin: 0px;
    padding: 0px;
}

.opt-flex {
    display: flex;
    justify-content: space-between;
    width: 100%;
}
.opt:hover {
    cursor: pointer;
    background-color: rgba(35, 82, 124, 0.1);
    font-weight: bold;
}
.optud:hover {
    cursor: pointer;
    background-color: rgba(35, 82, 124, 0.1);
    font-weight: bold;
}
.ready-query-tag {
    background-color: #43b500;
    padding: 0.35em 0.75em;
    font-weight: bold;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    display: flex;
    gap: 10px;
}
.not-ready-query-tag {
    background-color: RGBA(108,117,125,1);
    display: inline-block;
    padding: 0.35em 0.75em;
    font-weight: bold;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
}
.not-ready-query-tag:first-of-type {
    margin-left: 5px;
}
.search-container {
    display:flex;
}
#loading-container {
    display: flex;
    width: 100%;
    justify-content: center;
}
.spaceholder {
    list-style: none;
    color: gray;
}
.close-ready-tag:hover {
    color:black;
    cursor: pointer;
}
.sort-container {
    position:absolute;
}
.alert-bottom {
    position: fixed;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1000;
    display: none;
    color: #155724;
    background-color: #d4edda;
    border-color: #c3e6cb;
}
.dropdown-menu {
    min-width: 200px;
}
.shortcuts-container {
    color: dimgrey;
    margin-left: 0;
    margin-bottom: 10px;
}
.search-history-container {
    color: dimgray;
    display: none;
}
.search-history {
    display: flex;
    gap: 5px;
    border: 1px solid silver;
    padding: 3px 8px;
    width: fit-content;
}
.search-history:hover {
    cursor: pointer;
}
.history-tag:not(:last-child)::after {
    content: ", ";
}